#
# spec file for package gupnp (Version 0.14.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gupnp
Version:        0.14.1
Release:        1.pm.5.1
Summary:        Implementation of the UPnP specification
License:        LGPL v2 or later
Group:          Development/Libraries/C and C++
Url:            http://www.gupnp.org/
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  gobject-introspection-devel
BuildRequires:  libsoup-devel
BuildRequires:  libgssdp-devel
BuildRequires:  libuuid-devel
BuildRequires:  libxml2-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GUPnP implements the UPnP specification: resource announcement and
discovery, description, control, event notification, and presentation
(GUPnP includes basic web server functionality through libsoup). GUPnP
does not include helpers for construction or control of specific
standardized resources (e.g. MediaServer); this is left for higher level
libraries utilizing the GUPnP framework.

%package -n libgupnp-1_0-3
License:        LGPL v2 or later
Summary:        Implementation of the UPnP specification
Group:          Development/Libraries/C and C++

%description -n libgupnp-1_0-3
GUPnP implements the UPnP specification: resource announcement and
discovery, description, control, event notification, and presentation
(GUPnP includes basic web server functionality through libsoup). GUPnP
does not include helpers for construction or control of specific
standardized resources (e.g. MediaServer); this is left for higher level
libraries utilizing the GUPnP framework.

%package -n libgupnp-devel
License:        LGPL v2 or later
Summary:        Implementation of the UPnP specification - Development Files
Group:          Development/Libraries/C and C++
Requires:       libgupnp-1_0-3 = %{version}
Requires:       libsoup-devel
Requires:       libgssdp-devel
Requires:       libxml2-devel

%description -n libgupnp-devel
GUPnP implements the UPnP specification: resource announcement and
discovery, description, control, event notification, and presentation
(GUPnP includes basic web server functionality through libsoup). GUPnP
does not include helpers for construction or control of specific
standardized resources (e.g. MediaServer); this is left for higher level
libraries utilizing the GUPnP framework.

%prep
%setup -q

%build
%configure --disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%clean
rm -rf %{buildroot}

%post -n libgupnp-1_0-3 -p /sbin/ldconfig

%postun -n libgupnp-1_0-3 -p /sbin/ldconfig

%files -n libgupnp-1_0-3
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GUPnP-1.0.typelib

%files -n libgupnp-devel
%defattr(-,root,root)
%{_bindir}/gupnp-binding-tool
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GUPnP-1.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Tue Dec  7 2010 vuntz@opensuse.org
- Update to version 0.14.1:
  + Add sanity checks to GUPnPServiceProxyAction API.
  + Fix handling of accepted locales.
  + Handle unavailability of URL base.
* Sat Sep 18 2010 vuntz@opensuse.org
- Move gir files to devel subpackage.
* Fri Sep 17 2010 vuntz@opensuse.org
- Update to version 0.14.0:
  + Don't use deprecated glib, gobject and libsoup APIs.
  + Check for libuuid only on platforms where we need it.
  + Explicitly link example apps to needed libraries.
  + Fix some potential crashes and leaks.
  + Fix pointer to/from integer conversion on 64-bit machines.
  + Fix parsing of unsigned integers.
  + Use locale-independent float <-> string conversions.
  + Remove some redundant functions and variables.
  + Remove some unused variables noticed.
  + Use correct mime-type for XML data.
  + Various non-functional improvements.
* Wed Sep  1 2010 vuntz@opensuse.org
- Drop gir-repository BuildRequires and Requires: the introspection
  files that were needed from there are now directly with the
  appropriate libraries.
* Thu Aug 12 2010 dimstar@opensuse.org
- Update to version 0.13.5:
  + Chain up in GUPnPXMLDoc's finalize().
  + Correct transfer annotation for gupnp_context_get_session().
  + Prefer g_strcmp0() over strcmp().
  + Check for body length rather than Content-Length in SOAP
    requests so we can satsify DLNA CTT test 7.2.5.7.
  + Explicitly link test apps to needed libraries.
  + Missing annotation for context_get_session
  + Updated translations.
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 0.13.4:
  + GUPnPService should remove all handlers installed on the shared
    SoupServer instance when it is disposed.
  + Fixate subscription timeout to be 300s as per DLNA requirement
  + Correct type of action argument of GUPnPService::action-invoked
  + Remove redundant copying of GValue content in a few places.
  + Handle multiple variables inside property node in event
    notifications to be compatible with server-side implementations
    using older GUPnP
  + Fix syntax of event notifications with multiple properties.
  + Add/fix gobject-introspection annotations for various functions.
  + Some non-functional improvements.
* Mon Apr 12 2010 vuntz@opensuse.org
- Update to version 0.13.3:
  + Include the Content-Type header in the HTTP messages. This
    satisfies DLNA CTT test cases 7.2.5.9 and 7.2.29.1.
  + Use g_message instead of g_warning if we can't connect to DBus.
  + Make the HTTP server listen on the context's interface only.
  + Fix some potential crashes in GUPnPServiceProxy and
    GUPnPContextManager code.
  + Fix build issues in jhbuild environment.
  + Fix some gcc warnings.
  + Add new API to host path for specific user-agent(s).
  + Add gobject-introspection support:
  - Provide gobject-introspection GIR and typelib.
  - Add needed annotations to doc comments.
  - Add GList variants of action-related functions to satisfy
    PyGI.
  + A few non-functional improvments.
- Add gir-repository and gobject-introspection-devel BuildRequires,
  and add gir-repository Requires to libgupnp-1_0-3.
* Fri Dec  4 2009 vuntz@opensuse.org
- Update to version 0.13.2:
  + Utilize libconic (Maemo5) if available.
  + Unix context manager must signal the unavailibility of all
    contexts when disposed.
  + Enable silent build rules if they are available.
  + Fix race-conditions in client-side notification handling.
  + Unix context manager ignores point-to-point interfaces.
  + Context manager ignores interfaces without IP addresses.
  + Don't require timeouts to be specified in subscription
    requests.
  + Fix build against gcc 4.[1,2].
  + Make network manager thread-safe.
  + Remove idle source on dispose in context manager
    implementations.
  + Warn in docs that gupnp_service_info_get_introspection() is
    evil and why.
  + Service retrieves introspection data in truly async way.
  + Fix some leaks.
  + A bunch of code clean-ups.
* Mon Nov 30 2009 dimstar@opensuse.org
- Update to version 0.13.1:
  + Use unix context manager if NetworkManager service is not
    available
  + Fix some minor leaks.
* Thu Oct  1 2009 vuntz@opensuse.org
- Rename libgupnp-1_0-2 to libgupnp-1_0-3 since the version of the
  library was changed.
* Thu Sep 24 2009 dimstar@opensuse.org
- Update to version 0.13.0:
  + Print reason when fail to fetch description doc
  + Support for dynamic/multiple networks through a new class,
    ContextManager.
  + Gracefully handle 'no root element in description' scenerio.
  + "host-ip" property moved from GUPnPContext to parent
    GSSDPClient.
  + ControlPoint set itself inactive before getting disposed.
  + New function to retrieve the capabilities of a DLNA device as
    announced in the device description.
  + New function to retrieve the content of arbitrary elements in
    the device description.
  + Many other minor fixes.
* Sat Jun 13 2009 vuntz@novell.com
- Initial package.
